#pragma once

// Colours.
typedef struct {
  double r, g, b, a;
} glColour;

// Default colors.
// -- Greyscale.
extern glColour cWhite;
#define cGrey   cGrey70
extern glColour cBlack;

// Greys
extern glColour cGrey90;
extern glColour cGrey80;
extern glColour cGrey70;
extern glColour cGrey60;
extern glColour cGrey50;
extern glColour cGrey40;
extern glColour cGrey30;
extern glColour cGrey20;
extern glColour cGrey10;

extern glColour cGreen;
extern glColour cDarkRed;
extern glColour cRed;

// Game specific.
extern glColour cConsole;
// Objects.
extern glColour cInert;
extern glColour cNeutral;
extern glColour cFriend;
extern glColour cHostile;
// Radar.
extern glColour cRadar_player;
extern glColour cRadar_targ;
extern glColour cRadar_weap;
// Health.
extern glColour cShield;
extern glColour cArmour;
extern glColour cEnergy;

